DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-10-10-ProjectAttributeLinks-ImageId';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14342) THEN
			RETURN;
		END IF;
 
		BEGIN
            		ALTER TABLE public."ProjectAttributeLinks" ADD "ImageId" bigint NULL; 
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-10-10-ProjectAttributeLinks-ImageId: %', SQLERRM;
		END;
	END;
$$